#!/bin/bash
#Copyright (c) 2020 by Pulse Secure, LLC. All rights reserved

SERVICE="pulsesecure"
do_start()
{
    pid=`pgrep -x "$SERVICE"`
    if [ -z $pid ]; then
        /opt/pulsesecure/bin/pulsesecure  
        if /usr/bin/pgrep -x "$SERVICE" > /dev/null
        then
            logger "$SERVICE started successfully !!" 
        else
            logger "$SERVICE failed to start !!!"
        fi
    else
        logger "$SERVICE already running "
    fi
}

do_stop()
{
    pid=`pgrep -x "$SERVICE"`
    if [ $pid ];then 
        kill -SIGTERM $pid
        pid=`pgrep -x "$SERVICE"`
        if [ $pid ]; then
            logger "Unable to stop $SERVICE, forcefully stopping !!!"
            kill -9 $pid
        fi
    else
        logger "$SERVICE already stopped !!!"
    fi 
}


case "$1" in
start)
    do_start
    ;;
stop)
    do_stop
    ;;
restart)
    do_stop
    do_start
    ;;
esac

exit 0
